Announcement

Collapse
No announcement yet.

Registered Users can't read/view posts

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Registered Users can't read/view posts

    Greatings from Italy!

    I'm here searching for some advices about our VB issue.
    We are currently running VB 4.2.5, we did an import from PHPbb using impex.
    The issue is that Registered Users can't see/read the contents of a thread/topic (see pic attached) but they can reply...
    All the permissions are set correctly


    EDIT: we tried a fresh install on a new DB, we imported again from PHPbb DB using impex, and for few minutes a registered user was able to read posts, after those few minutes the issue was there again... what is going on?

    Click image for larger version  Name:	photo_2019-10-04_12-36-06.jpg Views:	0 Size:	93.6 KB ID:	4423682
    Last edited by Gengik84; Fri 4th Oct '19, 4:55am.

  • #2
    Anyone can help?

    Comment


    • #3
      What version of php are you running please?
      MARK.B | vBULLETIN SUPPORT

      TalkNewsUK - My vBulletin 5.5.4 Demo
      AdminAmmo - My Cloud Demo

      Comment


      • #4
        Hi, i running PHP 5.6 for use impex...
        after import i try change to recent version but the problem is always here

        Thanks Mark.B

        Comment


        • #5
          vBulletin 4.2.5 will ONLY work on php 5.6 or php 7.1, as the notice at the top of the forum states.

          vBulletin 4 is end of life and therefore hasn’t been updated for later versions of php.
          MARK.B | vBULLETIN SUPPORT

          TalkNewsUK - My vBulletin 5.5.4 Demo
          AdminAmmo - My Cloud Demo

          Comment


          • #6
            Yes, i know this
            I use this version of Vb, PHP etc...only for import my forum phpbb3 to VBulletin
            when everything is ok I'll obviously switch to VB 5.xx and latest PHP version
            Unfortunately for now I can't do it, the bug I have is really serious.
            I respected all the impex specifications to do this.
            Regarding errors on top board .. when a user registration is made, these errors go away.
            I can dimostrate what i mean.. i registered with new user for testing..if you want.
            The problem isn't PHP... i have 5.6 now because Impex does not work with later versions and i need to use it.
            Another known bug is to have a new user "@a"
            This user does not exist
            This happens after importing.

            Comment


            • #7

              Click image for larger version

Name:	Schermata 2019-10-06 alle 17.42.39.png
Views:	22
Size:	44.7 KB
ID:	4423871
              Click image for larger version

Name:	Schermata 2019-10-06 alle 17.42.29.png
Views:	19
Size:	14.0 KB
ID:	4423872

              now i create new user for test...
              Click image for larger version

Name:	Schermata 2019-10-06 alle 17.50.34.png
Views:	19
Size:	11.8 KB
ID:	4423873
              and i haven't any PHP error...
              No other change.
              All setting are like a VBulletin official documentations.

              Comment


              • #8
                Part of the issue here is that there is no fully supported way to import to vBulletin from another platform. The company discontinued development and support of the ImpEx tool many years ago, and open sourced it.

                If your php version is 5.6 then vBulletin 4.2.5 should work, but it is recommended to use php 7.1. However no other versions of php outside of 5.6 or 7.1 will work with vBulletin 4. The error you're getting suggests a different version may be being used. Check what the vBulletin AdminCP reports it as.
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.5.4 Demo
                AdminAmmo - My Cloud Demo

                Comment


                • #9
                  Hi
                  Click image for larger version  Name:	image_74705.png Views:	3 Size:	239.9 KB ID:	4423905

                  It's 5.6
                  I can use PHP 7.1 but i can't use it before import because impex doesn't work and i can't run.
                  I can set 7.1 after import and all work good, the problem is only for registered/unregisetred users who cannot view imported posts
                  They can view correctly only thread but not content of this.
                  All posts written directly on the vbulletin board are displayed correctly.
                  Maybe, it is a conflict of permission for importation?
                  I can't really understand but this behavior is really strange.

                  Thanks again Mark.B

                  Edit:
                  If i set PHP 7.1.. impex give me this error
                  Click image for larger version  Name:	Schermata 2019-10-07 alle 07.50.56.png Views:	0 Size:	158.3 KB ID:	4423910
                  For this reasons i buy old PHP 5.6, like at Vbulletin/impex specifications

                  Edit 2:
                  when i login normal users, when i can't see post if i try to switch Display mode to hybrid or threaded mode i got this error:
                  Click image for larger version

Name:	Schermata 2019-10-07 alle 07.45.00.png
Views:	19
Size:	44.0 KB
ID:	4423913
                  This not happened for staff member
                  Last edited by Gengik84; Sun 6th Oct '19, 9:59pm.

                  Comment


                  • #10
                    I continued to investigate ..
                    what I thought was confirmed.
                    the problem is permissions•
                    if i assigned a simple user to secondary groups ---> "moderator member", he does not display the posts.
                    if instead I do the same procedure assigning it secondarily to super moderators this sees all the threads and posts correctly.
                    What is the VB basic permission that controls this?
                    I really don't understand how there can be this bug on vbulletin.

                    Comment


                    • #11
                      I've not come across any bug that might do that. Could be a result of the import.

                      vBulletin 4 is now end of life so no bugs will ever be fixed on that branch.
                      MARK.B | vBULLETIN SUPPORT

                      TalkNewsUK - My vBulletin 5.5.4 Demo
                      AdminAmmo - My Cloud Demo

                      Comment


                      • #12
                        Originally posted by Mark.B View Post
                        I've not come across any bug that might do that. Could be a result of the import.

                        vBulletin 4 is now end of life so no bugs will ever be fixed on that branch.
                        do you have some tips to give me to try to correct this problem?
                        For me it is useless to have a database imported with this restriction.
                        In fact it's like not having it and obviously I can't assign "superm moderators" to all users.
                        Any tips would be appreciated and of course I would try anything.
                        is it possible that an update to the recent VB 5 version can corrects the problem?

                        Thanks Mark.B

                        Comment

                        widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                        Working...
                        X